ReferenceAPI

List computers

List a workspace's computers, filtered and paged.

GET https://api.nevia.cloud/v1/computers
curl -X GET "https://api.nevia.cloud/v1/computers?workspace=01d4cnjjq40hnnh0nwmkg35nv2h" \
  -H "Authorization: Bearer $TOKEN"
{
  "computers": [
    {
      "id": "01d4cnjk3xg90y576w8y6t4gdwm",
      "workspace": "01d4cnjjq40hnnh0nwmkg35nv2h",
      "name": "api-staging",
      "state": "ready",
      "pending": null,
      "image": "docker.io/library/python:3.13-slim",
      "image_digest": "sha256:9f86d081884c7d659a2feaa0c55ad015a3bf4f1b2b0b822cd15d6c15b0f00a08",
      "ports": [
        {
          "published": 8080,
          "target": 8080,
          "protocol": "http1",
          "url": "https://01d4cnjk3xg90y576w8y6t4gdwm.machines.example:8080"
        }
      ],
      "url": "https://01d4cnjk3xg90y576w8y6t4gdwm.machines.example",
      "env_keys": [
        "LOG_LEVEL",
        "OPENAI_KEY"
      ],
      "env_vars": [
        {
          "name": "LOG_LEVEL",
          "source": "literal",
          "missing": false
        },
        {
          "name": "OPENAI_KEY",
          "source": "secret",
          "missing": false
        }
      ],
      "generation": 1,
      "protected": false,
      "parent": null,
      "from_checkpoint": null,
      "error": null,
      "created_at": "2026-09-10T12:34:56Z",
      "last_started_at": "2026-09-10T12:35:12Z",
      "last_active_at": "2026-09-10T12:40:03Z",
      "deleted_at": null
    }
  ],
  "next_cursor": "string",
  "has_more": true
}

Authorization

bearerAuth
Authorization Bearer <token>

Send the token in the Authorization: Bearer <token> header. See Authenticate.

In: header

Query Parameters

workspace* string

Workspace id or exact name

limit? integer

Page size

Range 1 <= value <= 100
Default 50
cursor? string

next_cursor from the previous page

name? string

Filter by exact name

state? string creating · ready · sleeping · failed · deleting · deleted

Lifecycle state of a computer or database

image? string

Filter by exact image

parent? string

Branch source computer id

Match ^[A-Za-z0-9_-]{1,64}$
from_checkpoint? string

Checkpoint the computers were created from

Match ^[A-Za-z0-9_-]{1,64}$

Response

application/json

The page of computers the caller may view.